Commit 9b0d65dd by Luca Fulchir

Publish our local gentoo overlay

Signed-off-by: Luca Fulchir <luker@codepedia.eu>
parents
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.6
inherit perl-module
DESCRIPTION=""
SRC_URI="mirror://cpan/authors/id/O/OS/OSALAUN/${P}.tar.gz"
RESTRICT="mirror"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
DEPEND="dev-lang/perl
dev-perl/IO-Socket-SSL
dev-perl/libwww-perl"
SRC_TEST=do
DIST AuthCAS-1.6.tar.gz 18984 SHA256 00f3d75904ff64c7acc722fffd7556ee26d550fc14a667d0227c152438efbacf SHA512 941dc7166cdcf0cd9a4ce6b7ce7aa3fff11a5b2b736f351053096e9f46a1e3e5a8819ce870d6f2a243ae42bb0339e7030f919c2ab3de77c1e42966c4384e0e4d WHIRLPOOL 76b83712066e19cd09106d34210dbbf220ac0d0ac9b5765879667ee529bbefacc0c6737cdfb4705580637b419766a4875cd2fa54df36456298e8ab70abcd9ad8
EBUILD AuthCAS-1.6.ebuild 405 SHA256 e5c53a59c86a4195e71a9a2777207ac6fc47afef890a9dbda8a9782f059f9aea SHA512 62d5ed8476246210f5ffa0cbd62614deac0a592bab9c522c9c0805ecc331491a1c56d78f55c3e758d787a46c4777d6cb096b04c3bc5d72e75f04770f50261295 WHIRLPOOL 7965971277cf169790fc686050e8bd4a578e374656adcba91024980dbcccdab915093384988b590977a6f4f62a5c983477564ade9b583ca6f09047659a54ae91
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.01
inherit perl-module
DESCRIPTION="Crypt::CipherSaber - Perl module implementing CipherSaber encryption."
HOMEPAGE="http://ciphersaber.gurus.com/"
SRC_URI="http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/${P}.tar.gz"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND="virtual/perl-Scalar-List-Utils
>=perl-core/Module-Build-0.28
dev-lang/perl"
SRC_TEST=do
DIST Crypt-CipherSaber-1.01.tar.gz 11527 SHA256 9fbdb479ba76fcb991eaf627f80e64dab093720054f643530ad036f927274bf9 SHA512 c523b3db0b011b560a3f1f45793cdcdfb2bda0ed196bed02f058d39a5f9505826113eb6f0f6baedcb3a0bcc5dc1218fb311361c74701b321ecf8df4080722201 WHIRLPOOL 52d01af410d00870a46b14d97c4dedd12510900b05848a335e30fae1e97b1189d8f1eea6927e226a6d599149288976880a2dbeae3ee1c4427a55d137d0ef147a
EBUILD Crypt-CipherSaber-1.01.ebuild 526 SHA256 63c0e9ebac1a05c57792802dba591d0b1bbd16c158c6991e43e0fcb1453a9d49 SHA512 1ca9bed6c4d962fa257cd96a4945bb396007d64dad5c22678e473b0251480592285ec1ed4df75f68c95cdf9017026617fdee4f86644723c31eaaab6a103fc6ed WHIRLPOOL 508b3c49573cca479729e9c4a7157488dd01e5baf27da590d742b8828a4f01c1bd17cea02910358437208425bbc0fa10f0ca27e8f6548b91124b50900184e4fb
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.806
inherit perl-module
DESCRIPTION="Crypt::OpenSSL::X509 - Perl extension to OpenSSL's X509 API."
SRC_URI="http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/${P}.tar.gz"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND=">=perl-core/Module-Build-0.28
dev-lang/perl"
SRC_TEST=do
DIST Crypt-OpenSSL-X509-1.806.tar.gz 45963 SHA256 950046cc5eac7611dd4c34c40d5570814c4dd2eb49209aa8301e9268dfc1e120 SHA512 ff07c06e241573972aa4a265a781af8b21360b79640228ea2b07b2aa270c1daa9d2d39b85a7787f1289da42a6837490ccc1dae9c2c75b730ee46919a8c685cbb WHIRLPOOL a266cfaa4dc5cdae4795dfb7a2181fcb70b6fa981fd7b3562b3f0336a0bc7c9c192854bb7a4ef863ac5c9fd8fcea913dec829a2a468c57fc25fc003ad489affe
EBUILD Crypt-OpenSSL-X509-1.806.ebuild 441 SHA256 0eba2d3d631049beb072c23847f529c051cf092201dd0914293f617a3cc75255 SHA512 bfe6068c9893b6c029b34e5db96744909b6ebb8a3d26569ca8cef25ed675b7d6b4f288ddb7cbd128d59e307ba7ffd41abb3b7d2006345256faf1919b29cc4cc7 WHIRLPOOL d3b6074c2723fd0be4c2e0cac8cac378ecab9ab3485821f72526425b0f6702a858bc35284ce2ae26300954fb9483624d5530c6d2597989ec05a27e76387264c7
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.12
inherit perl-module
DESCRIPTION=""
SRC_URI="mirror://cpan/authors/id/R/RA/RAZINF/${P}.tar.gz"
RESTRICT="mirror"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
DEPEND="dev-lang/perl"
SRC_TEST=do
DIST Data-Password-1.12.tar.gz 6008 SHA256 830cde81741ff384385412e16faba55745a54a7cc019dd23d7ed4f05d551a961 SHA512 bc7e8c31d1b9f6e986cd012a26f268f1c5924fa6743b32d2ed5770f6749390325874ce4bb01888b239cdcc8df85a714796a3adc2b2b5ffb70770435687b7cbcf WHIRLPOOL f87a45f9b26f0400d46331e831462748c8b3786b63994c7a2c69e08de81f6914bd01b659c1ddd16a14cbeffa1b63da14b9b12754e482b475d725ec0ae96bdf56
EBUILD Data-Password-1.12.ebuild 357 SHA256 5d14eda90bb383372434fc992f094d75fabd6f3d3c080bb7f6c7f6ff6ac89d6c SHA512 aee65276d16b22c97bc650ebb0c5c41ff83f4424ef901ebf2d0b7869cb959036ba99309d60ac0a4d95987520991b5af7c8a1a2b6a98f92427203080c8cedc594 WHIRLPOOL 391f5cdd922a05444baeb46e0bc56810ae82d209479ec489a6aa0d1e42bad865b1efd5ec92fa3d4f9424aa0c36239606dc4464af0ebfa89d9f844c8d01b8c3a6
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.03
inherit perl-module
DESCRIPTION="HTML::StripScripts::Parser - XSS filter using HTML::Parser"
SRC_URI="mirror://cpan/authors/id/D/DR/DRTECH/${P}.tar.gz"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND=">=dev-perl/HTML-Parser-3.56
>=dev-perl/HTML-StripScripts-1.04
dev-lang/perl"
SRC_TEST=do
DIST HTML-StripScripts-Parser-1.03.tar.gz 9524 SHA256 478c1a4e46eb77fa7bce96ba288168f0b98c27f250e00dc6312365081aed3407 SHA512 3bc766ff738623191b23c5212751cad32b76160bf5e3dcdfad5e161288c906deb1357fc092a962da87525b7364ba924de9ef68b94966c003ee7cb23e8035dc15 WHIRLPOOL 4a85762c51076afbcacd6ab856c2e2cea5743ad12eb39aa731cd4a15d2e7e8ca21c03214d9537d1772d49787305a238a3ad7355244f8a9c5249940903674d219
EBUILD HTML-StripScripts-Parser-1.03.ebuild 458 SHA256 f721c105b75e1f4a790e91f5705ac88b55ef91349ab838e7bc3faa1ad6bc3304 SHA512 071f78124848d2432d59ec9f5eeee99b2dfee118c39922d0b551725118f3a679eddf12dab72c87dac59fbdf7165b39e1976385d1786fed3592d5382350cae356 WHIRLPOOL cbc59b154fba3dd27f0551da7d7aac7ac2f8a84d43d738ecb1059ce6e48c16d3adc0f784b23e06ffeacbb2158ac1b333f5a141c4131e89df05d6b7d313dd2fd3
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.05
inherit perl-module
DESCRIPTION="HTML::StripScripts - Strip scripting constructs out of HTML"
SRC_URI="mirror://cpan/authors/id/D/DR/DRTECH/${P}.tar.gz"
RESTRICT="mirror"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND="dev-lang/perl"
SRC_TEST=do
DIST HTML-StripScripts-1.05.tar.gz 43236 SHA256 171cc2b3458b71d6f8d1f4982ed600409c151eb6754962b83858c15999357004 SHA512 e9de1a05721fa74b90168ef36596c4d32d5af365258f1a8b363ac7a2e2f15181e67cbadde1c1dcae1225b6d2850589fa14e252134cf799b84bf506f55f5e050d WHIRLPOOL 82a00e427cd83cd99821f23a685f93f4f05c5b96d9b8df5b628d902e4acd2c27e8d66d516783dff0ac0f7fa2429e15e77ce2454743042596d8b0ee979820a583
EBUILD HTML-StripScripts-1.05.ebuild 411 SHA256 409c814d60827243d96cfb443b2fb454806e9300e577f502f899a61032092c7b SHA512 5e0fab5fcbd35ac20ed2ea2e0374abe4b11c1c85cc0fe7713b77f27130c4f71cffc34463aff02b02a391fb9a013add8e4b4bdd996eb751f78b421266f590f74f WHIRLPOOL e52aab11213cca4483d8cf18641ca8cdf4716f6d1af807268eb15727accb6fa5a6cc7c2bbf3ffa3bf6bd764a9c78edeedacc6e336e90f62a008dbb994c01c2a8
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.012
inherit perl-module
DESCRIPTION="Charset Informations for MIME"
SRC_URI="mirror://cpan/authors/id/N/NE/NEZUMI/${P}.tar.gz"
RESTRICT="mirror"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
DEPEND="dev-lang/perl"
SRC_TEST=do
DIST MIME-Charset-1.012.tar.gz 55201 SHA256 cee5d1d4184ad46ca17d995335bc8d9b6d95e1e64584079d032cf5f0c82dcccd SHA512 f116deb04912bdccfd98484ef82d643d23b4cb90bfdf88ddc60d0a3f857ac3f084a60681a6fae4f9a2d982d6f470c79f171688e44a4034e9533bb518a914e2fe WHIRLPOOL a7bd7be1d927d2274e0834feb82ece5df514937b1beef557d70bb857bb208015e580e0ae71eb9467aa27e865c8606041cd28446d541bdec60c469ffa6b950d63
EBUILD MIME-Charset-1.012.ebuild 387 SHA256 0dd253f38e4ddf8944aa044b446eacf98c33132822cf05b2ada440843d9aef68 SHA512 d7ff9aefe03871901c5b5c19c9030c9f2f13a437c24d6a8fa3d7992a79edc0f0b52618e102fdb9410d89a2b7d2d7b5e1c0c47e50a304ba9fd14024e3e6d6b781 WHIRLPOOL 8dadb1911b7105340997f15fdbf4615781e0381cabdc640207e44feccac1ed85f3a36c50ce068a763a53b90a6ee8da1c256fee78c10a1563432157291b583028
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.014.3
inherit perl-module
DESCRIPTION="Charset Informations for MIME"
SRC_URI="mirror://cpan/authors/id/N/NE/NEZUMI/${P}.tar.gz"
RESTRICT="mirror"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
DEPEND="dev-lang/perl"
SRC_TEST=do
DIST MIME-EncWords-1.014.3.tar.gz 39372 SHA256 e9afb548611d4e7e6c50b7f06bbd2b1bb2808e37a810deefb537c67af5485238 SHA512 77deed0b9b61101ba67f4d498213af9dc1078738fb0992661aa1b260ef394b84341173e5319579c4651f9b6271be0f80d4e96455c7caa9f81accb3db16601af8 WHIRLPOOL 9d33784360fed8a5f8c72b458990023b2f80abe3194eb20bddb1876bc306d3e2b29e1a0dd98c63eaddc57875a6ea58549c7f0bf980bd8c106458dc1d3d61249f
EBUILD MIME-EncWords-1.014.3.ebuild 389 SHA256 bc43ae03bfd42f95a22f3cc31018cb1d04c8baee4922d8e3dd3cd478ecccce60 SHA512 d2c211505d489c636f9df67400665d37ec6d7dc3fff8e9e1f69bc1a37d00645f73fa015ee9dec9f70ecf439ea315ae304ad6ac33f5c056732c1b1680cc43c841 WHIRLPOOL 85e89788b240fa40b88ddf8fcbbb29aa5d2adbe3b58960feb4b321b1d1267cdb47600536ebca4cf709884dab36d423569abfbb2add8d09825156c83144f03944
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:$
EAPI=5
MODULE_VERSION=1.24
inherit perl-module
DESCRIPTION="MIME::Lite::HTML - Provide routine to transform a HTML page in a MIME-Lite mail"
HOMEPAGE="http://search.cpan.org/search?query=MIME-Lite-HTML&mode=dist"
SRC_URI="mirror://cpan/authors/id/A/AL/ALIAN/${P}.tar.gz"
LICENSE="Artistic"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND=">=dev-perl/HTML-Parser-3.69
>=dev-perl/MIME-Lite-3.027
dev-lang/perl"
SRC_TEST=do
DIST MIME-Lite-HTML-1.24.tar.gz 63640 SHA256 db603ccbf6653bcd28cfa824d72e511ead019fc8afb9f1854ec872db2d3cd8da SHA512 06d0392c5ef7628e10d47be979edbd431f04850e8bfdde6deb8507fd962cab27feaeb119b542faf13a2f1849df751afc8cbabd3cba17ac3aec4dc4042fb83960 WHIRLPOOL 2d8691c3b7abeb958dec881e952a9495800d1334a1c5066f264464cad3b167c4b4e68f29bcac8327904a5739b5d03eaef9b6f7c3531e071d30ee7f6260bb732f
EBUILD MIME-Lite-HTML-1.24.ebuild 545 SHA256 a6a4db631dd1b1a55171260e953ed4c8d647a432de03c384bfbe7390f245e44f SHA512 33a9c429535d1cd1ebb6ff28b4355f5c78268282f59dd3f405c685c0b351131eaf8c4d44b81427667bd66e4250d5bbbd0992bc4702b003f4f966b7d4771824c2 WHIRLPOOL c5274edff6e0932f60696546b0f6b9b41bc7373c5441282e8a0dd756b6debdeff12525993b18a5dbc022178091380739951cf42ab6b649aa91d97cfada3b69d9
masters = gentoo
AUX ejabberd-15.03-ejabberdctl.patch 1582 SHA256 74d699ce3edefa2f883b42b9fa6bc174d30a155d943b4a9fbd1e7dc5f163abf4 SHA512 deea56f547dfa3b8abc3588ffd332b968d7f0b412d0a2af1d301f491d693a435e7d1c7f107e51dff78b5ade93e8b63cfd2c7bed0e03533e7685126a4ccf1a461 WHIRLPOOL d95a7fae42525608a33b1b72702652a20f40fae7acf033d4dadc234e93b87eb84d5acc95b4534da20c4bf0c5e9442bb8696b24e00d873289a6d71c3b20be4358
AUX ejabberd-3.confd 161 SHA256 0296d3d281a321cd7380772c1d89a94e4a86f85b7f43bf9dc1af74935c2e6386 SHA512 07143642982df18461fdecd16daaad3baf6a06f8222d7a76757797c531be2803975ed60cc43aace24a624aa7c73bd8fdc6e023e739de492271b79e571f27c8fb WHIRLPOOL 657c44991244d58c10590093a7f58f654cb45cf7e22244b474459c63a449c17d0cf1d6f2d62008ddb34f0022f8fc9e31f22d2010cb3d1070a462bcb22a9a81fc
AUX ejabberd-3.initd 1025 SHA256 2810ca25fbe9d41a175b15c82d9ea1254fc4c934fd6ec02d9ee10bc34079e168 SHA512 5705074bd564568295d6d098394937ea44f5ea38ebc386fbcc3f8a239734acb77784500e8761e5fb3864fb56f7d136c9ef1f65603810d31b1f9a0ee4005d389a WHIRLPOOL 13718736e2ff08380c8a2df38099f11a0c5257188731fe9830e1ccdbe304b7c9984956ec7b1f9db11f677293a939604db79ac0870c1a74116d1eb70c1c373391
AUX ejabberd.logrotate 203 SHA256 42f28222c6a5b7c691eb371085cccdef3fcba059a1e89f18744aa9bfc25e6294 SHA512 53cead768a76d18c01b229d0a1c0f38561c7a872fd751f1bb9b427c107f36a5536654a0047c5aef05507223f75c0e0f91e9a83b6c283fb9eceb8e31938de00d2 WHIRLPOOL ffbdfc1b22e855666aedbf816ec44439addcae21d82509399de046fa6a7c0182c1df756377a9d08d3b1f1d73e1e09ecd85da145357850d8a11d8ddb4b3b29d2a
AUX ejabberd.service 422 SHA256 a699466dd95b8fb98aca078ca7e57a2d9f0fed13ecdc70d10b96e96df61b64af SHA512 91ba2ca5b0104a7628a63a80efd0ec4aa016f9100b631701e18ab7b524c2e2e9471a6ece4adcc90bbea16af05479dfa5a2414d2f50bdd4b0cd06a1e40539c5e3 WHIRLPOOL eb3b5af56eaf4292cdb67854e46ccc9d0c4f3f8674ad7992fdbfb037c3a441b27c922ac80f2fd8819c84411f045c689e67eeca4e331d088c7749fa4fc74437a3
AUX ejabberd.tmpfiles.conf 43 SHA256 2ee7fb4fb9c9c931ffa8c1dfa273e6658f3bbd37bb6ae25765b9e4f2a7459506 SHA512 8bdc297d5cb405e82c33627b36730992584d7f8b92d15c47933edd01ba6575983009c1f6607a21eee0280abdf7b51639d99d7836712a8d3629ec1e960b8a02c4 WHIRLPOOL f27e3a9bff1ab941c4a80fc5573d8541e40804f24b2f2e40e0f77c2ea2016e5c0b323e59674ed880df95037d0d82a956bc9ea984b5b371dd16e50858faa7e0d0
DIST ejabberd-15.03.tar.xz 6274856 SHA256 3a6fd6e94d6f24575dcaff1aa7ca319944eb76970a9d3b6bf5f30819824143fc SHA512 b292b596094aeab576d9d4aadea47042eeda130881de5dd523985dc60cd0644726dae8d525364ec72992c0c45ba9e0673b7a6ffc2bc20613ba0092e2b285e16f WHIRLPOOL 630feba542f5d4bac1e4c17f453b2298a500c0d18159e8f09a4f11e9d372f7ffbf6e2e600c0ee849c689868872644404c03ebfb375d4852f3bbbd966417d951e
EBUILD ejabberd-15.03-r1.ebuild 5656 SHA256 71a95503cbb8cd73b03351c4749d840a3e3a5aa9e87df98397476881bd458413 SHA512 0ccc87d8a41bac1040021e11bcc52a05c506c30bc49507b1fd8c2179c41ece542d6f69ee043843f9d570518d12e7abba42566748aa8708480b32392abd438860 WHIRLPOOL bb8a4e526c40f3bf03725a1367da548a40430ec64cd7901d6571f6d91657e77dd5b354ac461296969ab6572f5cb3ed3b10db7a680f2be5176a2abeee876ab0f1
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/ejabberd/ejabberd-15.03-r1.ebuild,v 1.1 2015/04/14 03:39:56 radhermit Exp $
EAPI=5
inherit eutils multilib pam ssl-cert systemd
DESCRIPTION="The Erlang Jabber Daemon"
HOMEPAGE="http://www.ejabberd.im/ https://github.com/processone/ejabberd/"
SRC_URI="http://dev.gentoo.org/~radhermit/dist/${P}.tar.xz"
# upstream tarball missing bundled erlang libs that are fetched via git
#SRC_URI="https://www.process-one.net/downloads/downloads-action.php?file=/${PN}/${PV}/${P}.tgz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~sparc ~x86"
EJABBERD_MODULES="mod_bosh mod_irc mod_muc mod_proxy65 mod_pubsub"
IUSE="captcha debug elixir ldap mysql nls odbc pam postgres riak redis tools zlib ${EJABBERD_MODULES}"
DEPEND=">=net-im/jabber-base-0.01
>=dev-libs/expat-1.95
>=dev-libs/libyaml-0.1.4
>=dev-lang/erlang-15.2[ssl]
odbc? ( dev-db/unixODBC )
ldap? ( =net-nds/openldap-2* )
>=dev-libs/openssl-0.9.8e
captcha? ( media-gfx/imagemagick[truetype,png] )
zlib? ( >=sys-libs/zlib-1.2.3 )"
RDEPEND="${DEPEND}
>=sys-apps/shadow-4.1.4.2-r3
pam? ( virtual/pam )"
# paths in net-im/jabber-base
JABBER_ETC="${EPREFIX}/etc/jabber"
#JABBER_RUN="/var/run/jabber"
JABBER_SPOOL="${EPREFIX}/var/spool/jabber"
JABBER_LOG="${EPREFIX}/var/log/jabber"
JABBER_DOC="${EPREFIX}/usr/share/doc/${PF}"
src_prepare() {
epatch "${FILESDIR}"/${P}-ejabberdctl.patch
# don't install release notes (we'll do this manually)
sed '/install .* [.][.]\/doc\/[*][.]txt $(DOCDIR)/d' -i Makefile.in || die
# Set correct paths
sed -e "/^EJABBERDDIR[[:space:]]*=/{s:ejabberd:${PF}:}" \
-e "/^ETCDIR[[:space:]]*=/{s:@sysconfdir@/ejabberd:${JABBER_ETC}:}" \
-e "/^LOGDIR[[:space:]]*=/{s:@localstatedir@/log/ejabberd:${JABBER_LOG}:}" \
-e "/^SPOOLDIR[[:space:]]*=/{s:@localstatedir@/lib/ejabberd:${JABBER_SPOOL}:}" \
-i Makefile.in || die
sed -e "/EJABBERDDIR=/{s:ejabberd:${PF}:}" \
-e "s|\(ETC_DIR=\){{sysconfdir}}.*|\1${JABBER_ETC}|" \
-e "s|\(LOGS_DIR=\){{localstatedir}}.*|\1${JABBER_LOG}|" \
-e "s|\(SPOOL_DIR=\){{localstatedir}}.*|\1${JABBER_SPOOL}|" \
-i ejabberdctl.template || die
# fix up the ssl cert paths in ejabberd.yml to use our cert and
# also use the correct pam service name
sed -e "s:/path/to/ssl.pem:/etc/ssl/ejabberd/server.pem:g" \
-e "s:pamservicename:xmpp:" \
-i ejabberd.yml.example || die
# correct path to captcha script in default ejabberd.yml
sed -e 's|\({captcha_cmd,[[:space:]]*"\).\+"}|\1/usr/'$(get_libdir)'/erlang/lib/'${P}'/priv/bin/captcha.sh"}|' \
-i ejabberd.yml.example || die
# disable mod_irc in ejabberd.yml
if ! use mod_irc; then
sed -e "s/{mod_irc,/%{mod_irc,/" \
-i ejabberd.yml.example || die
fi
epatch_user
}
src_configure() {
git init .
git add rebar
git commit -m "init" --no-gpg-sign
git tag "${PV}"
econf \
--docdir="${EPREFIX}/usr/share/doc/${PF}/html" \
--libdir="${EPREFIX}/usr/$(get_libdir)/erlang/lib/" \
$(use_enable tools) \
$(use_enable odbc) \
$(use_enable mysql) \
$(use_enable postgres pgsql) \
$(use_enable pam) \
$(use_enable zlib) \
$(use_enable riak) \
$(use_enable redis) \
$(use_enable mod_bosh json) \
$(use_enable nls iconv) \
$(use_enable elixir) \
$(use_enable debug) \
--enable-lager \
--enable-user=jabber
# run configure scripts for all prefetched deps
./rebar get-deps || die
}
src_compile() {
emake $(use debug && echo debug=true ejabberd_debug=true)
}
src_install() {
default
# Pam helper module permissions
# https://www.process-one.net/docs/ejabberd/guide_en.html#pam
if use pam; then
pamd_mimic_system xmpp auth account || die "Cannot create pam.d file"
fowners root:jabber "/usr/$(get_libdir)/erlang/lib/${PF}/priv/bin/epam"
fperms 4750 "/usr/$(get_libdir)/erlang/lib/${PF}/priv/bin/epam"
fi
newinitd "${FILESDIR}"/${PN}-3.initd ${PN}
newconfd "${FILESDIR}"/${PN}-3.confd ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
systemd_dotmpfilesd "${FILESDIR}"/${PN}.tmpfiles.conf
insinto /etc/logrotate.d
newins "${FILESDIR}"/${PN}.logrotate ${PN}
}
pkg_postinst() {
if [[ -z ${REPLACING_VERSIONS} ]] ; then
elog "For configuration instructions, please see"
elog "/usr/share/doc/${PF}/html/guide.html, or the online version at"
elog "http://www.process-one.net/en/ejabberd/docs/guide_en/"
else
elog "Ejabberd now defaults to using a YAML format for its config file."
elog "The old ejabberd.cfg file can be converted using the following instructions:"
echo
elog "1. Make sure all processes related to the previous version of ejabberd aren't running."
elog " Usually this just means the ejabberd daemon and possibly the pam-related processes"
elog " (epmd and epam) if pam support is enabled."
elog "2. Run \`ejabberdctl start\` with sufficient permissions. Note that this can fail to"
elog " start ejabberd properly for various reasons. Check ejabberd's main log file"
elog " at /var/log/jabber/ejabberd.log to confirm it started successfully."
elog "3. Run \`ejabberdctl convert_to_yaml /etc/jabber/ejabberd.cfg /etc/jabber/ejabberd.yml.new\`"
elog " with sufficient permissions, edit and rename /etc/jabber/ejabberd.yml.new to"
elog " /etc/jabber/ejabberd.yml, and finally restart ejabberd with the new config file."
echo
fi
SSL_ORGANIZATION="${SSL_ORGANIZATION:-Ejabberd XMPP Server}"
install_cert /etc/ssl/ejabberd/server
# Fix ssl cert permissions bug #369809
chown root:jabber "${EROOT}/etc/ssl/ejabberd/server.pem"
chmod 0440 "${EROOT}/etc/ssl/ejabberd/server.pem"
}
Set SHELL since the generic jabber user used on Gentoo for jabber servers
doesn't have a valid shell set by default and fix EXEC_CMD otherwise it fails
with "This account is currently not available" again due to jabber not having
a valid shell.
Also, workaround the assumption that jabber's $HOME is a directory when instead
it defaults to /dev/null on Gentoo.
--- ejabberd-15.03/ejabberdctl.template
+++ ejabberd-15.03/ejabberdctl.template
@@ -15,6 +15,7 @@
IEX={{bindir}}/iex
EPMD={{bindir}}/epmd
INSTALLUSER={{installuser}}
+SHELL=/bin/sh
# Compatibility in ZSH
#setopt shwordsplit 2>/dev/null
@@ -25,11 +26,11 @@
for GID in `id -G`; do
if [ $GID -eq 0 ] ; then
INSTALLUSER_HOME=$(getent passwd "$INSTALLUSER" | cut -d: -f6)
- if [ -n "$INSTALLUSER_HOME" ] && [ ! -d "$INSTALLUSER_HOME" ] ; then
+ if [ -n "$INSTALLUSER_HOME" ] && [ ! -e "$INSTALLUSER_HOME" ] ; then
mkdir -p "$INSTALLUSER_HOME"
chown "$INSTALLUSER" "$INSTALLUSER_HOME"
fi
- EXEC_CMD="su $INSTALLUSER -c"
+ EXEC_CMD="su $INSTALLUSER -p -c"
fi
done
if [ `id -g` -eq `id -g $INSTALLUSER` ] ; then
@@ -111,6 +112,7 @@
DATETIME=`date "+%Y%m%d-%H%M%S"`
ERL_CRASH_DUMP=$LOGS_DIR/erl_crash_$DATETIME.dump
ERL_INETRC=$ETC_DIR/inetrc
+HOME=$SPOOL_DIR
# define erl parameters
ERL_OPTIONS=$(echo $ERL_OPTIONS | sed 's/ /\\ /g')
@@ -167,6 +169,8 @@
export ERL_INETRC
export ERL_MAX_PORTS
export ERL_MAX_ETS_TABLES
+export HOME
+export SHELL
# start server
start()
# Please configure everything at /etc/jabber/ejabberdctl.cfg
# Put here only command line arguments for ejabberdctl (if any are required)
#EJABBERDCTL_OPTS=""
#!/sbin/runscript
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-im/ejabberd/files/ejabberd-3.initd,v 1.4 2013/04/05 09:03:34 radhermit Exp $
depend() {
use dns
need net
provide jabber-server
}
start() {
if ejabberdctl status >/dev/null 2>&1; then
ewarn "ejabberd is already started (manually?)."
return 0
fi
ebegin "Starting ejabberd"
/usr/sbin/ejabberdctl ${EJABBERDCTL_OPTS} start
eend $?
}
stop() {
ejabberdctl status >/dev/null 2>&1
if test $? = 3; then
ewarn "ejabberd is already stopped (manually?)."
return 0
fi
ebegin "Stopping ejabberd"
if /usr/sbin/ejabberdctl stop >/dev/null 2>&1; then
cnt=0
sleep 1
while ejabberdctl status >/dev/null 2>&1 || test $? = 1; do
echo -n .
cnt=`expr $cnt + 1`
if [ $cnt -ge 60 ] ; then
eend 1
break
fi
sleep 1
done
eend 0
else
eend 1
einfo "Please, run '/usr/sbin/ejabberdctl stop' to see what's going on."
fi
eend 0
}
/var/log/jabber/*.log {
su jabber jabber
weekly
rotate 4
missingok
nocreate
sharedscripts
notifempty
compress
postrotate
/usr/sbin/ejabberdctl reopen-log > /dev/null 2>&1 || true
endscript
}
[Unit]
Description=A distributed, fault-tolerant Jabber/XMPP server
After=network.target
[Service]
Type=oneshot
User=jabber
LimitNOFILE=16000
RestartSec=5
ExecStart=/usr/sbin/ejabberdctl \
--config /etc/jabber/ejabberd.cfg --ctl-config /etc/jabber/ejabberdctl.cfg \
--logs "/var/log/jabber" --spool "/var/spool/jabber" start
ExecStop=/usr/sbin/ejabberdctl stop
RemainAfterExit=yes
[Install]
WantedBy=multi-user.target
d /var/lock/ejabberdctl 0750 jabber jabber
AUX sympa-6.2.apache.conf 307 SHA256 a8fd4f14ce7c1e3106959e4a4d7e0a35224836e1a255c590ca7d131f9049f31b SHA512 26a132c6e8fd1aec951f5755351d2ec69c34dd213a2249cb0b995938cfdf7c1ec50fe5c11780cfb0da953ba00e9fee5c6846cc5beb486b1d6e0716d0c7695486 WHIRLPOOL ac084649ada894fa1b417adb5920f6f8a2a36fbdd887ba38690880269a8537ede85eebced3b3ab8794c46e6fa5d806b4d5df95c5f42dea5739517d331458e5e4
AUX sympa-6.2.apache_soap.conf 316 SHA256 929a8fff76b0c4e6946c1b60bbf19c8a9b567e6f657ed63bd50639bb1b73fa83 SHA512 43849c3dc3bdd7739f76168d84782b4912a9df2140af93dfece7cc30dc0f4988790dfa7edd43a2b62411f1ecb7ea23f4e7bcff363e6aa23e61574138da2958cf WHIRLPOOL 4b03820382829cdb9a08cb07e0a84714e74b434b4fc25f7d5d03489bf57af3ab80b4ab942d7fe02da4840c2c264af203f19ed0d111b5f29a3a4e50e385b24720
AUX sympa-6.2.initd 1233 SHA256 bc951a60592dbe27b0743d237d92d2c74c8d97cb96b4a06fb88c1a0fdf49f933 SHA512 60a41f1760fdd2a11f5d495d12826709b4e099cbf8cfc0333c20da5984b097b2412662c30556c6a143e5520ab7777b10a705d0f98278e72f1a9d9b42536e3227 WHIRLPOOL 73846fa3b68fc35709b5ab6fc72233dedac74898dfe0c50a7ea146a8af93a272fc79421f7045895cf30d6d4b25d6038749e683b2ba4145273581c0a96c0eaaa2
AUX sympa-6.2.lighttpd.conf 372 SHA256 b2030ba7f0359d2a6cc854303a400e749089ac0275360918db586a54f11e7fdc SHA512 765ec8521fe426da3c17186a8820982388cc6678fb038473de7310d15aa789b902df2edd055e82bfc98cc7161a2728f9f685f2da5862c466635a901d47f301e5 WHIRLPOOL 239d67568609f38aa1a9c7a3c599fa210e970a8521a62d88eabfc1d6016a4b05a79c922781310b9e48951b7dbe0a62b2fd1585129de4baf6f4df6b0aae807f7f
AUX sympa-6.2.lighttpd_soap.conf 374 SHA256 f90093154293610b09b3d2648604ee9c4df830d7dabbb44fc0814fb0d3dc4645 SHA512 6f06bf362ac2b404c231974f05716a642737cb9f000aafcf74c9c4238a26195b03a54009c7f58c2df11e536d7a39750f90ba674bc153a74b337fb990c30a6731 WHIRLPOOL ef83e133095111a4ef321cc1b4ee005903237d36d3ae69742869778471af20d3ee94bacce0b67b6a633a636ca3d6d60515bb4009ad6458ed4f8ec69275867ca4
AUX sympa.initd 812 SHA256 2f50349db3b4cce523d350e0c254339ed35b0567873695eed32419e048ecb837 SHA512 b444b75e3aeecb250f9e38c701d1dba58cbed520448b55be72babcb092369d92f8c637582ea1ef79c85c4bc7e3ed0921fc08d5dfb801a175840a1877cb739d8e WHIRLPOOL c8314fffaf8275cac27c400161fc29e2e8c06fb69e0501e25139d8c7ca3cc417a598c04a9a52f8fcb76d7b3b244e13f8916d07b0488c385d6b7037502b4ad74c
DIST sympa-6.2.8.tar.gz 11656048 SHA256 17bc4dc8cc6894a9364d83db0db20c84abcda6e3ca19f57b12430a6c8297bb82 SHA512 1152290379738d0a5c191d0bc6cecf94cac45c362b11b8fc242d08946a97f50b59215237897a2f7d08f468c64fa7b08619cc2553ce1e8d0e8a35d92a3bd5908c WHIRLPOOL a270c280bdb075798c77c4a3c6eb1cf19e9cbac77ed6ef0b8f0187ba4ce376acf7587b63c6372d2979361e56a915dd402a9515d8b169eba91002ce36251745a7
EBUILD sympa-6.2.8.ebuild 6261 SHA256 2727a9eff54c0cceb1916fe550007a023f7eefb16456b612ad67043a81bdbfe8 SHA512 0c106b98c8805923f0877bc175d0b2d34444d69417bbef3402c2389d2e53f6b55468d4be94d31eeeb1d6f0eb12ad5a108c0354ceeb6f0341fc9caa5816f627f5 WHIRLPOOL fe8df57d6923b3d151ac206ac0075ed8b5caf0773a90c05c0a6a3576572adf8158d559978ff6e387a3feb42f3c268dfca1e2d366d94b295c8edd194842c87412
Alias /static-sympa /var/spool/sympa/static_content
<IfDefine SYMPA>
ScriptAlias /sympa /usr/libexec/sympa/wwsympa-wrapper.fcgi
<IfDefine FASTCGI>
FastCgiServer /usr/libexec/sympa/wwsympa-wrapper.fcgi -processes 2
<Location /sympa>
SetHandler fastcgi-script
</Location>
</Ifdefine>
</Ifdefine>
Alias /static-sympa /var/spool/sympa/static_content
<IfDefine SYMPA_SOAP>
ScriptAlias /sympa /usr/libexec/sympa/sympa_soap_server.fcgi
<IfDefine FASTCGI>
FastCgiServer /usr/libexec/sympa/sympa_soap_server.fcgi -processes 2
<Location /sympa>
SetHandler fastcgi-script
</Location>
</Ifdefine>
</Ifdefine>
#!/sbin/runscript
sympaconf="/etc//sympa/sympa.conf"
wwsympaconf="/etc/sympa/wwsympa.conf"
sympadir="/usr"
depend() {
use logger mysql postgres ldap
before apache apache2 lighttpd
}
sympa_start() {
ebegin "Starting Sympa module $1.pl: "
local MY_PID="/var/run/sympa/$1.pid"
start-stop-daemon --start --quiet --pidfile ${MY_PID} --exec $sympadir/sbin/$1.pl
eend $?
}
sympa_stop() {
ebegin "Stopping Sympa module $1.pl: "
local MY_PID="/var/run/sympa/$1.pid"
start-stop-daemon --stop --quiet --pidfile ${MY_PID}
eend $?
}
start() {
#Check config files
if [ ! -f $sympaconf ]; then
eerror "Missing Sympa config!"
return 1
fi
echo "Starting Sympa subsystems: "
sympa_start sympa_msg
sympa_start bulk
sympa_start archived
sympa_start bounced
sympa_start task_manager
#touch /var/lib/lock/subsys/sympa
}
stop(){
echo "Stopping Sympa subsystems: "
sympa_stop bounced
sympa_stop archived
sympa_stop bulk
sympa_stop sympa_msg
if [ -f /var/lib/run/sympa/sympa-distribute.pid ]; then
sympa_stop sympa-distribute
fi
if [ -f /var/lib/run/sympa/sympa-creation.pid ]; then
sympa_stop sympa-creation
fi
sympa_stop task_manager
}
server.modules += ("mod_fastcgi")
alias.url += ( "/static-sympa/" => "/var/spool/sympa/static_content/" )
$HTTP["url"] =~ "^/sympa" {
fastcgi.server = ( "/sympa" =>
(( "check-local" => "disable",
"bin-path" => "/usr/libexec/sympa/wwsympa-wrapper.fcgi",
"socket" => "/var/run/lighttpd/sympa.sock",
"max-procs" => 2,
"idle-timeout" => 20,
))
)
}
server.modules += ("mod_fastcgi")
alias.url += ( "/static-sympa/" => "/var/spool/sympa/static_content/" )
$HTTP["url"] =~ "^/sympa" {
fastcgi.server = ( "/sympa" =>
(( "check-local" => "disable",
"bin-path" => "/usr/libexec/sympa/sympa_soap_server.fcgi",
"socket" => "/var/run/lighttpd/sympa.sock",
"max-procs" => 2,
"idle-timeout" => 20,
))
)
}
#!/sbin/runscript
sympaconf="/etc/sympa/sympa/sympa.conf"
depend() {
need net mta
use logger mysql postgres ldap
before apache apache2
}
sympa_start(){
mkdir -p $sympadir
ebegin "Starting Sympa module $1.pl: "
start-stop-daemon --start --quiet --chuid sympa --pidfile $sympadir/$1.pid --exec $sympadir/bin/$1.pl
eend $?
}
sympa_stop(){
ebegin "Stopping Sympa module $1.pl: "
start-stop-daemon --stop --quiet --pidfile $sympadir/$1.pid
eend $?
}
start() {
#Check config files
[ -f $sympaconf ] || eerror "Missing Sympa config!";return 1
echo "Starting Sympa subsystems: "
sympa_start sympa
sympa_start bounced
sympa_start archived
sympa_start task_manager
}
stop(){
echo "Stopping Sympa subsystems: "
sympa_stop bounced
sympa_stop archived
sympa_stop sympa
sympa_stop task_manager
}
# Copyright 1999-2010 Gentoo Foundation
# Copyright 2015 Luca Fulchir
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI="4"
inherit versionator eutils webapp multilib autotools user
DESCRIPTION="A feature-rich opensource mailing list manager"
HOMEPAGE="http://www.sympa.org"
SRC_URI="http://www.sympa.org/distribution/$P.tar.gz"
# do NOT strip the binaries. breaks builds in docker/lxc with limited capabilities
RESTRICT="strip mirror"
LICENSE="GPL-2"
SLOT="6"
KEYWORDS="~x86 ~amd64"
IUSE="mysql postgres sqlite apache2 clamav fastcgi ldap soap dkim"
REQUIRED_USE="